# Creates new monorepo library

Creates a new monorepo library according to Toptal guidelines in the directory
`/libs/${lib-name}` or in `/namespaces/${namespace-name}/libs/${lib-name}` if
`namespace-name` is specified.

```bash
davinci-bootstrap new-lib <lib-name>
```

Arguments:

- `lib-name`:

  The name of the library

- `--namespace <namespace-name>`:

  Namespace name. By default, `namespace-name` is empty, this will create
  library in the root `/libs` folder. If `namespace-name` is specified - in
  `/namespaces/${namespace-name}/libs` folder.
